=== debian/changelog ===
nstats (0.4.0-1) unstable; urgency=low
  * bmon, curses based bandwidth monitor
  * nmon, curses frontend for nstats
  * cmon, curses based connection monitor
  * fixes

 -- Thomas Graf (reeler) <tgr@reeler.org>  Thu,  2 May 2002 17:32:06 +0200

nstats (0.3.4-1) unstable; urgency=low
  * connection tracking code (see most used connections)
  * name and service resolution (-n disables name resolution)
  * -t flag to limit runtime of nstats
  * -l flag to set length of lists
  * IP6, ICMP6 and ECN statistics
  * optimizations
  * ignore further fragmented packets in layer 4+ for now

 -- Thomas Graf (reeler) <tgr@reeler.org>  Sun, 17 Mar 2002 23:22:30 +0100
  

nstats (0.3.3-1) unstable; urgency=low

  * real ip6 support
  * icmp type/code breakdown
  * added "none" output mode
  * some ip6 statistics

 -- Thomas Graf (reeler) <tgr@reeler.org>  Sun, 10 Mar 2002 22:42:28 +0100

nstats (0.3.2-1) unstable; urgency=low

  * fixed average packet size calucaltion
  * added breakdown statistics for ICMP
  * enhanced TCP Options statistics

 -- Thomas Graf (reeler) <tgr@reeler.org>  Sun,  3 Mar 2002 19:23:00 +0100

Local variables:
mode: debian-changelog
End:
