=== debian/control ===
Source: nstats
Section: net
Priority: optional
Maintainer: Thomas Graf <tgraf@europe.com>
Build-Depends: libpcap-dev
Standards-Version: 0.3.2

Package: nstats
Architecture: any
Section: net
Depends: libpcap0
Recommends: tcpdump
Description: network statistics
 nstats prints statistics about ethernet network traffic. This includes protocol breakdown
 on several layers, counting packets and bytes per protocol, average packet size per protocol,
 TOS statistics, and TCP options usage.
